package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class BenchQueryParam extends QueryParam{


    @ApiModelProperty(value = "sn", name = "sn", required = true)
    public void setSn(String sn) {
        if (!StringUtils.isEmpty(sn))
            addParam(QueryParamExp.like("sn", "%".concat(sn).concat("%")));
    }

    @ApiModelProperty(value = "设备类型", name = "checkStatus", example = "0, 0：未通过 ; 1:已通过;  空:全部")
    private Integer checkStatus;

    @ApiModelProperty(value = "设备状态", name = "status", example = "[], 0：未入库,1:已入库,2:已调拨，3:已出库，4:已处置")
    public void setStatus(List<Integer> status) {
        if (!CollectionUtils.isEmpty(status)) {
            addParam(QueryParamExp.in("status", status.toArray(new Integer[]{})));
        }
    }


}
